
Figure - Bug #117741
【IOVDEV-25311】【VC1】【0072】【台架】【EE环境】【副屏】后台时不能进入屏保模式
2023-05-04 13:43 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.c103

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

Description

环境信息】EE环境

【问题出现时间】：20230428 10：48

【前提条件】：车机上电

【操作步骤】

1.屏幕打开“应用宝”

2.上滑进入后台界面，下滑显示控制中心界面

3.点击控制中心的“屏保模式”

【实际结果】

1.副屏没有进入屏保模式

【期望结果】

1..副屏进入屏保模式

【备注】：

【影响版本】：01.00.0094.c103

【硬件版本号】

History

#1 - 2023-05-06 16:37 - CD APP-王营

- File recent.log added

- Status changed from New to ASSIGNED

■ Current conclusion

问题复现，等待小窗修改完毕再调试此问题

■ My analysis

启动屏保会退出recent

此时小窗应用会重新被拉起，应用会退出屏保

05-06 03:38:57.037  1138  2107 I ActivityTaskManager: Activity requesting to dismiss Keyguard: ActivityRecord{625d87d u0

com.tencent.android.qqdownloader/com.tencent.assistantv2.activity.MainActivity t116}

05-06 03:38:57.038  1939  1939 V KeyguardUpdateMonitor: *** unregister callback for com.android.keyguard.CarrierTextManager$2@a42e50e

05-06 03:38:57.037  1138  2107 I PowerManagerService: Powering on display group fromDreaming (groupId=0, uid=1000, reason=WAKE_REASON_APPLICATION,
details=android.server.am:TURN_ON:dismissKeyguard)...

05-06 03:38:57.039  1138  2107 I PowerManagerService: Waking up from Dreaming (uid=1000, reason=WAKE_REASON_APPLICATION,

details=android.server.am:TURN_ON:dismissKeyguard)...

05-06 03:38:57.041  1138  1338 I DreamManagerService: Gently waking up from dream.

05-06 03:38:57.042  1138  1215 I DreamManagerService: Performing gentle wake from dream.

05-06 03:38:57.043  1138  2737 I wm_finish_activity: [0,87152512,115,com.thundercomm.screensaver/android.service.dreams.DreamActivity,finish-activity]

05-06 03:38:57.043  1138  2737 D ActivityTrigger: ActivityTrigger activityPauseTrigger 

05-06 03:38:57.044  1138  2737 I wm_pause_activity: [0,87152512,com.thundercomm.screensaver/android.service.dreams.DreamActivity,userLeaving=false,finish]

05-06 03:38:57.048  1138  1219 I sysui_multi_action: [757,803,799,window_time_0,802,1]

05-06 03:38:57.050  6087  6087 I wm_on_paused_called: [87152512,android.service.dreams.DreamActivity,performPause]

05-06 03:38:57.063  1138  5814 I wm_add_to_stopping: [0,87152512,com.thundercomm.screensaver/android.service.dreams.DreamActivity,completeFinishing]

05-06 03:38:57.064  1939  2251 D KeyguardViewMediator: setOccluded false

05-06 03:38:57.064  1138  1793 I input_focus: [Focus leaving 419b92d com.thundercomm.screensaver/android.service.dreams.DreamActivity

(server),reason=NO_WINDOW]

05-06 03:38:57.068  1939  1939 D StatusBar: disable<e i a s b h r c s > disable2<q i n >

05-06 03:38:57.069  1138  1219 I sysui_multi_action: [757,803,799,window_time_2,802,0]

05-06 03:38:57.070  1939  1939 D KeyguardViewMediator: adjustStatusBarLocked: mShowing=false mOccluded=false isSecure=false force=false --> flags=0x0

05-06 03:38:57.073  2080  5475 I GameMode_ActivityMonitoringService: onActivityLaunch: com.android.launcher3, isGameApp: false

■ Next action

等待小窗修改入库，异常情况Logcat文件已上传recent.log。

#2 - 2023-05-09 15:28 - CD APP-王营

- Category changed from CD-APP to 窗口定制

- Assignee changed from CD APP-王营 to CD FW-鲁凯峰

to 凯峰

请在小窗代码入库后更新一下此问题。

#3 - 2023-05-10 21:01 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

■ Current conclusion

问题已经解决

■ My analysis

采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196923

#4 - 2023-05-11 16:17 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to NEED_INFO
验证版本：0099

能正常进入屏保，验证通过

待客户验证通过后关闭此bug

#5 - 2023-05-17 16:17 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-17 16:22 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-17 16:22 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

10点48分后台界面点击屏保模式，没有进入屏保模式.7z 280 KB 2023-05-04 CDTS_Test 吴诗雨

recent.log 129 KB 2023-05-06 CD APP-王营
